const merge = require('merge');

module.exports = {
    parserOptions: {
        ecmaVersion: 5,
    },

    env: {
        browser: true,
    },

    plugins: ['eslint-comments'],

    rules: merge(
        // Core
        require('./lib/rules/core-best-practices'),
        require('./lib/rules/core-possible-errors'),
        require('./lib/rules/core-strict-mode'),
        require('./lib/rules/core-stylistic-issues'),
        require('./lib/rules/core-variables'),
        // Other
        require('./lib/rules/eslint-comments')
    ),
};
