// ----------------------------------------------------------------------------
// Cypress
// https://github.com/cypress-io/eslint-plugin-cypress
// ----------------------------------------------------------------------------

module.exports = {
    // Prevent assigning return values of cy calls
    'cypress/no-assigning-return-values': 'error',

    // Prevent waiting for arbitrary time periods
    'cypress/no-unnecessary-waiting': 'error',

    // Ensure screenshots are preceded by an assertion
    'cypress/assertion-before-screenshot': 'warn',
};
