const merge = require('merge');

module.exports = {
    parser: 'babel-eslint',

    env: {
        es6: true,
    },

    parserOptions: {
        ecmaVersion: 2019,
        sourceType: 'module',
    },

    // settings: {
    //     flowtype: {
    //         onlyFilesWithFlowAnnotation: true,
    //     },
    // },

    plugins: ['flowtype'],

    rules: merge(require('./lib/rules/flowtype')),
};
